Subject: bug#69097: [PATCH] Add 'kill-region-or-word' command

From: Sean Whitton <[email-masked]>
Date: Mon, 02 Sep 2024 21:46:00 +0100

Hello,

On Mon 02 Sep 2024 at 09:42pm +01, Sean Whitton wrote:

> Hello,
>
> On Mon 02 Sep 2024 at 08:39pm GMT, Philip Kaludercic wrote:
>
>> How about this suggestion:  We add a generic kill-region-or-word
>> command, and a user option for a function (set to either
>> `backward-kill-word' or Sean's `unix-word-rubout').  I can prepare a
>> patch with the simpler version, and then Sean can add his behaviour in a
>> second patch so that the attribution remains correct.
>
> I think a tristate option is preferable to this.
>
> If the user wants something of their own they can just write their own
> command.

Sorry, I wrote this too quickly, I don't think I actually understand
your new proposal.

Could you sketch it out?

Thank you for your patience on this one.

-- 
Sean Whitton